Bug 118922 - biology/blat : fix build on other than i386
Summary: biology/blat : fix build on other than i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-21 07:10 UTC by Motomichi Matsuzaki
Modified: 2008-01-04 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.10 KB, patch)
2007-12-21 07:10 UTC, Motomichi Matsuzaki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Motomichi Matsuzaki 2007-12-21 07:10:00 UTC
The port biology/blat has marked as BROKEN on platforms other than i386.
The reason is the makefiles depends on an environmental variable MACHTYPE,
which is not defined in amd64 but in i386.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-12-21 07:10:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Fernan Aguero 2007-12-24 14:53:36 UTC
| Maintainer of biology/blat,
| 
| Please note that PR ports/118922 has just been submitted.
| 
| If it contains a patch for an upgrade, an enhancement or a bug fix
| you agree on, reply to this email stating that you approve the patch
| and a committer will take care of it.
| 
| The full text of the PR can be found at:
|     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/118922

Approved.

Thanks! and Happy Xmas,

Fernan
Comment 3 dfilter service freebsd_committer 2008-01-04 15:14:57 UTC
arved       2008-01-04 15:14:52 UTC

  FreeBSD ports repository

  Modified files:
    biology/blat         Makefile 
  Log:
  Fix build on !i386
  
  PR:             118922
  Submitted by:   Motomichi Matsuzaki <mzaki@biol.s.u-tokyo.ac.jp>
  Approved by:    Fernan Aguero <fernan@iib.unsam.edu.ar>
  
  Revision  Changes    Path
  1.5       +5 -9      ports/biology/blat/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2008-01-04 15:15:17 UTC
State Changed
From-To: feedback->closed

Committed, thanks!